2005-08-08 18:34  fc_botelho

	* INSTALL, examples/Makefile, examples/Makefile.in,
	examples/.deps/file_adapter_ex2.Po,
	examples/.deps/vector_adapter_ex1.Po, src/brz.c: [no log message]

2005-08-07 22:00  fc_botelho

	* src/: brz.c, brz.h, brz_structs.h, cmph.c, cmph.h, main.c:
	temporary directory passed by command line

2005-08-07 20:22  fc_botelho

	* src/brz.c: stable version of BRZ

2005-08-06 22:09  fc_botelho

	* src/bmz.c: no message

2005-08-06 22:02  fc_botelho

	* src/bmz.c: no message

2005-08-06 21:45  fc_botelho

	* src/brz.c: fastest version of BRZ

2005-08-06 17:20  fc_botelho

	* src/: bmz.c, brz.c, main.c: [no log message]

2005-07-29 16:43  fc_botelho

	* src/brz.c: BRZ algorithm is almost stable

2005-07-29 15:29  fc_botelho

	* src/: bmz.c, brz.c, brz_structs.h, cmph_types.h: BRZ algorithm is
	almost stable

2005-07-29 00:09  fc_botelho

	* src/: brz.c, djb2_hash.c, djb2_hash.h, fnv_hash.c, fnv_hash.h,
	hash.c, hash.h, jenkins_hash.c, jenkins_hash.h, sdbm_hash.c,
	sdbm_hash.h: it was fixed more mistakes in BRZ algorithm

2005-07-28 21:00  fc_botelho

	* src/: bmz.c, brz.c, cmph.c: fixed some mistakes in BRZ algorithm

2005-07-27 19:13  fc_botelho

	* src/brz.c: algorithm BRZ included

2005-07-27 18:16  fc_botelho

	* src/: bmz_structs.h, brz.c, brz.h, brz_structs.h: Algorithm BRZ
	included

2005-07-27 18:13  fc_botelho

	* src/: Makefile.am, bmz.c, chm.c, cmph.c, cmph.h, cmph_types.h:
	Algorithm BRZ included

2005-07-25 19:18  fc_botelho

	* README, README.t2t, scpscript: it was included an examples
	directory

2005-07-25 18:26  fc_botelho

	* INSTALL, Makefile.am, configure.ac, examples/Makefile,
	examples/Makefile.am, examples/Makefile.in,
	examples/file_adapter_ex2.c, examples/keys.txt,
	examples/vector_adapter_ex1.c, examples/.deps/file_adapter_ex2.Po,
	examples/.deps/vector_adapter_ex1.Po, src/cmph.c, src/cmph.h: it
	was included a examples directory

2005-03-03 02:07  davi

	* src/: bmz.c, chm.c, chm.h, chm_structs.h, cmph.c, cmph.h,
	graph.c, graph.h, jenkins_hash.c, jenkins_hash.h, main.c (xgraph):
	New f*cking cool algorithm works. Roughly implemented in chm.c

2005-03-02 20:55  davi

	* src/xgraph.c (xgraph): xchmr working nice, but a bit slow

2005-03-02 02:01  davi

	* src/xchmr.h: file xchmr.h was initially added on branch xgraph.

2005-03-02 02:01  davi

	* src/xchmr_structs.h: file xchmr_structs.h was initially added on
	branch xgraph.

2005-03-02 02:01  davi

	* src/xchmr.c: file xchmr.c was initially added on branch xgraph.

2005-03-02 02:01  davi

	* src/: Makefile.am, cmph.c, cmph_types.h, xchmr.c, xchmr.h,
	xchmr_structs.h, xgraph.c, xgraph.h (xgraph): xchmr working fine
	except for false positives on cyclic detection.

2005-03-02 00:05  davi

	* src/: Makefile.am, xgraph.c, xgraph.h (xgraph): Added external
	graph functionality in branch xgraph.

2005-03-02 00:05  davi

	* src/xgraph.c: file xgraph.c was initially added on branch xgraph.

2005-03-02 00:05  davi

	* src/xgraph.h: file xgraph.h was initially added on branch xgraph.

2005-02-28 19:53  davi

	* src/chm.c: Fixed off by one bug in chm.

2005-02-17 16:20  fc_botelho

	* LOGO.html, README, README.t2t, gendocs: The way of calling the
	function cmph_search was fixed in the file README.t2t

2005-01-31 17:13  fc_botelho

	* README.t2t: Heuristic BMZ memory consumption was updated

2005-01-31 17:09  fc_botelho

	* BMZ.t2t: DJB2, SDBM, FNV and Jenkins hash link were added

2005-01-31 16:50  fc_botelho

	* BMZ.t2t, CHM.t2t, COMPARISON.t2t, CONCEPTS.t2t, CONFIG.t2t,
	FAQ.t2t, GPERF.t2t, LOGO.t2t, README.t2t, TABLE1.t2t, TABLE4.t2t,
	TABLE5.t2t, DOC.css: BMZ documentation was finished

2005-01-28 18:12  fc_botelho

	* figs/img1.png, figs/img10.png, figs/img100.png, figs/img101.png,
	figs/img102.png, figs/img103.png, figs/img104.png, figs/img105.png,
	figs/img106.png, figs/img107.png, figs/img108.png, figs/img109.png,
	papers/bmz_tr004_04.ps, papers/bmz_wea2005.ps, papers/chm92.pdf,
	figs/img11.png, figs/img110.png, figs/img111.png, figs/img112.png,
	figs/img113.png, figs/img114.png, figs/img115.png, figs/img116.png,
	figs/img117.png, figs/img118.png, figs/img119.png, figs/img12.png,
	figs/img120.png, figs/img121.png, figs/img122.png, figs/img123.png,
	figs/img124.png, figs/img125.png, figs/img126.png, figs/img127.png,
	figs/img128.png, figs/img129.png, figs/img13.png, figs/img130.png,
	figs/img131.png, figs/img132.png, figs/img133.png, figs/img134.png,
	figs/img135.png, figs/img136.png, figs/img137.png, figs/img138.png,
	figs/img139.png, figs/img14.png, figs/img140.png, figs/img141.png,
	figs/img142.png, figs/img143.png, figs/img144.png, figs/img145.png,
	figs/img146.png, figs/img147.png, figs/img148.png, figs/img149.png,
	figs/img15.png, figs/img150.png, figs/img151.png, figs/img152.png,
	figs/img153.png, figs/img154.png, figs/img155.png, figs/img156.png,
	figs/img157.png, figs/img158.png, figs/img159.png, figs/img16.png,
	figs/img160.png, figs/img161.png, figs/img162.png, figs/img163.png,
	figs/img164.png, figs/img165.png, figs/img166.png, figs/img167.png,
	figs/img168.png, figs/img169.png, figs/img17.png, figs/img170.png,
	figs/img171.png, figs/img172.png, figs/img173.png, figs/img174.png,
	figs/img175.png, figs/img176.png, figs/img177.png, figs/img178.png,
	figs/img179.png, figs/img18.png, figs/img180.png, figs/img181.png,
	figs/img182.png, figs/img183.png, figs/img184.png, figs/img185.png,
	figs/img186.png, figs/img187.png, figs/img188.png, figs/img189.png,
	figs/img19.png, figs/img190.png, figs/img191.png, figs/img192.png,
	figs/img193.png, figs/img194.png, figs/img195.png, figs/img196.png,
	figs/img197.png, figs/img198.png, figs/img199.png, figs/img2.png,
	figs/img20.png, figs/img200.png, figs/img201.png, figs/img202.png,
	figs/img203.png, figs/img204.png, figs/img205.png, figs/img206.png,
	figs/img207.png, figs/img208.png, figs/img209.png, figs/img21.png,
	figs/img210.png, figs/img211.png, figs/img212.png, figs/img213.png,
	figs/img214.png, figs/img215.png, figs/img216.png, figs/img217.png,
	figs/img218.png, figs/img219.png, figs/img22.png, figs/img220.png,
	figs/img221.png, figs/img222.png, figs/img223.png, figs/img224.png,
	figs/img225.png, figs/img226.png, figs/img227.png, figs/img228.png,
	figs/img229.png, figs/img23.png, figs/img230.png, figs/img231.png,
	figs/img232.png, figs/img233.png, figs/img234.png, figs/img235.png,
	figs/img236.png, figs/img237.png, figs/img238.png, figs/img239.png,
	figs/img24.png, figs/img240.png, figs/img241.png, figs/img242.png,
	figs/img243.png, figs/img244.png, figs/img245.png, figs/img246.png,
	figs/img247.png, figs/img248.png, figs/img249.png, figs/img25.png,
	figs/img250.png, figs/img251.png, figs/img252.png, figs/img253.png,
	figs/img26.png, figs/img27.png, figs/img28.png, figs/img29.png,
	figs/img3.png, figs/img30.png, figs/img31.png, figs/img32.png,
	figs/img33.png, figs/img34.png, figs/img35.png, figs/img36.png,
	figs/img37.png, figs/img38.png, figs/img39.png, figs/img4.png,
	figs/img40.png, figs/img41.png, figs/img42.png, figs/img43.png,
	figs/img44.png, figs/img45.png, figs/img46.png, figs/img47.png,
	figs/img48.png, figs/img49.png, figs/img5.png, figs/img50.png,
	figs/img51.png, figs/img52.png, figs/img53.png, figs/img54.png,
	figs/img55.png, figs/img56.png, figs/img57.png, figs/img58.png,
	figs/img59.png, figs/img6.png, figs/img60.png, figs/img61.png,
	figs/img62.png, figs/img63.png, figs/img64.png, figs/img65.png,
	figs/img66.png, figs/img67.png, figs/img68.png, figs/img69.png,
	figs/img7.png, figs/img70.png, figs/img71.png, figs/img72.png,
	figs/img73.png, figs/img74.png, figs/img75.png, figs/img76.png,
	figs/img77.png, figs/img78.png, figs/img79.png, figs/img8.png,
	figs/img80.png, figs/img81.png, figs/img82.png, figs/img83.png,
	figs/img84.png, figs/img85.png, figs/img86.png, figs/img87.png,
	figs/img88.png, figs/img89.png, figs/img9.png, figs/img90.png,
	figs/img91.png, figs/img92.png, figs/img93.png, figs/img94.png,
	figs/img95.png, figs/img96.png, figs/img97.png, figs/img98.png,
	figs/img99.png: Initial version

2005-01-28 18:07  fc_botelho

	* BMZ.t2t, CHM.t2t, COMPARISON.t2t, CONFIG.t2t, README.t2t: It was
	improved the documentation of BMZ and CHM algorithms

2005-01-27 18:07  fc_botelho

	* BMZ.t2t, CHM.t2t, FAQ.t2t: history of BMZ algorithm is available

2005-01-27 14:23  fc_botelho

	* AUTHORS: It was added the authors' email

2005-01-27 14:21  fc_botelho

	* BMZ.t2t, CHM.t2t, COMPARISON.t2t, FAQ.t2t, FOOTER.t2t, GPERF.t2t,
	README.t2t: It was added FOOTER.t2t file

2005-01-27 12:16  fc_botelho

	* src/cmph_types.h: It was removed pjw and glib functions from
	cmph_hash_names vector

2005-01-27 12:12  fc_botelho

	* src/hash.c: It was removed pjw and glib functions from
	cmph_hash_names vector

2005-01-27 11:01  davi

	* FAQ.t2t, README, README.t2t, gendocs, src/bmz.c, src/bmz.h,
	src/chm.c, src/chm.h, src/cmph.c, src/cmph_structs.c, src/debug.h,
	src/main.c: Fix to alternate hash functions code. Removed htonl
	stuff from chm algorithm. Added faq.

2005-01-27 09:14  fc_botelho

	* README.t2t: It was corrected some formatting mistakes

2005-01-26 22:04  davi

	* BMZ.t2t, CHM.t2t, COMPARISON.t2t, GPERF.t2t, README, README.t2t,
	gendocs: Added gperf notes.

2005-01-25 19:10  fc_botelho

	* INSTALL: generated in version 0.3

2005-01-25 19:09  fc_botelho

	* src/: czech.c, czech.h, czech_structs.h: The czech.h,
	czech_structs.h and czech.c files were removed

2005-01-25 19:06  fc_botelho

	* src/: chm.c, chm.h, chm_structs.h, cmph.c, cmph_types.h, main.c,
	Makefile.am: It was changed the prefix czech by chm

2005-01-25 18:50  fc_botelho

	* gendocs: script to generate the documentation and the README file

2005-01-25 18:47  fc_botelho

	* README: README was updated

2005-01-25 18:44  fc_botelho

	* configure.ac: Version was updated

2005-01-25 18:42  fc_botelho

	* src/cmph.h: Vector adapter commented

2005-01-25 18:40  fc_botelho

	* CHM.t2t, CONFIG.t2t, LOGO.html: It was included the PreProc macro
	through the CONFIG.t2t file and the LOGO through the LOGO.html file

2005-01-25 18:33  fc_botelho

	* README.t2t, BMZ.t2t, COMPARISON.t2t, CZECH.t2t: It was included
	the PreProc macro through the CONFIG.t2t file and the LOGO through
	the LOGO.html file

2005-01-24 18:25  fc_botelho

	* src/: bmz.c, bmz.h, cmph_structs.c, cmph_structs.h, czech.c,
	cmph.c, czech.h, main.c, cmph.h: The file adpater was implemented.

2005-01-24 17:20  fc_botelho

	* README.t2t: the memory consumption to create a mphf using bmz 
	with a heuristic was fixed.

2005-01-24 17:11  fc_botelho

	* src/: cmph_types.h, main.c: The algorithms and hash functions
	were put in alphabetical order

2005-01-24 16:15  fc_botelho

	* BMZ.t2t, COMPARISON.t2t, CZECH.t2t, README.t2t: It was fixed some
	English mistakes and It was included the files BMZ.t2t, CZECH.t2t
	and COMPARISON.t2t

2005-01-21 19:19  davi

	* ChangeLog, Doxyfile: Added Doxyfile.

2005-01-21 19:14  davi

	* README.t2t, wingetopt.c, src/cmph.h, tests/graph_tests.c: Fixed
	wingetopt.c

2005-01-21 18:44  fc_botelho

	* src/Makefile.am: included files bitbool.h and bitbool.c

2005-01-21 18:42  fc_botelho

	* src/: bmz.c, bmz.h, bmz_structs.h, cmph.c, cmph.h,
	cmph_structs.c, cmph_structs.h, czech.c, czech.h, czech_structs.h,
	djb2_hash.c, djb2_hash.h, fnv_hash.c, fnv_hash.h, graph.c, graph.h,
	hash.c, hash.h, hash_state.h, jenkins_hash.c, jenkins_hash.h,
	main.c, sdbm_hash.c, sdbm_hash.h, vqueue.c, vqueue.h, vstack.c,
	vstack.h: Only public symbols were prefixed with cmph, and the API
	was changed to agree with the initial txt2html documentation

2005-01-21 18:30  fc_botelho

	* src/: bitbool.c, bitbool.h: mask to represent a boolean value
	using only 1 bit

2005-01-20 10:28  davi

	* ChangeLog, README, README.t2t, wingetopt.h, src/main.c: Added
	initial txt2tags documentation.

2005-01-19 10:40  davi

	* acinclude.m4, configure.ac: Added macros for large file support.

2005-01-18 19:06  fc_botelho

	* src/: bmz.c, bmz.h, bmz_structs.h, cmph.c, cmph.h,
	cmph_structs.c, cmph_structs.h, cmph_types.h, czech.c, czech.h,
	czech_structs.h, djb2_hash.c, djb2_hash.h, fnv_hash.c, fnv_hash.h,
	graph.c, graph.h, hash.c, hash.h, hash_state.h, jenkins_hash.c,
	jenkins_hash.h, main.c, sdbm_hash.c, sdbm_hash.h, vqueue.c,
	vqueue.h, vstack.c, vstack.h: version with cmph prefix

2005-01-18 15:10  davi

	* ChangeLog, cmph.vcproj, cmphapp.vcproj, wingetopt.c, wingetopt.h:
	Added missing files.

2005-01-18 14:25  fc_botelho

	* aclocal.m4: initial version

2005-01-18 14:16  fc_botelho

	* aclocal.m4: initial version

2005-01-18 13:58  fc_botelho

	* src/czech.c: using bit mask to represent boolean values

2005-01-18 13:56  fc_botelho

	* src/czech.c: no message

2005-01-18 10:18  davi

	* COPYING, INSTALL, src/Makefile.am, src/bmz.c, src/bmz.h,
	src/cmph.c, src/cmph.h, src/cmph_structs.c, src/cmph_structs.h,
	src/czech.c, src/czech.h, src/debug.h, src/djb2_hash.c,
	src/graph.c, src/graph.h, src/hash.c, src/jenkins_hash.c,
	src/main.c, src/sdbm_hash.c, src/vqueue.c: Fixed a lot of warnings.
	Added visual studio project. Make needed changes to work with
	windows.

2005-01-17 16:01  fc_botelho

	* src/main.c: stable version

2005-01-17 15:58  fc_botelho

	* src/: bmz.c, cmph.c, cmph.h, graph.c: stable version

2005-01-13 21:56  davi

	* src/czech.c: Better error handling in czech.c.

2005-01-05 18:45  fc_botelho

	* src/cmph_structs.c: included option -k to specify the number of
	keys to use

2005-01-05 17:48  fc_botelho

	* src/: cmph.c, main.c: included option -k to specify the number of
	keys to use

2005-01-03 19:38  fc_botelho

	* src/bmz.c: using less memory

2005-01-03 18:47  fc_botelho

	* src/: bmz.c, graph.c: using less space to store the used_edges
	and critical_nodes arrays

2004-12-23 11:16  davi

	* INSTALL, COPYING, AUTHORS, ChangeLog, Makefile.am, NEWS, README,
	cmph.spec, configure.ac, src/graph.c, tests/Makefile.am,
	tests/graph_tests.c, src/bmz.c, src/cmph_types.h,
	src/czech_structs.h, src/hash_state.h, src/jenkins_hash.c,
	src/bmz_structs.h, src/cmph.c, src/cmph.h, src/cmph_structs.h,
	src/czech.c, src/debug.h, src/djb2_hash.c, src/djb2_hash.h,
	src/fnv_hash.c, src/fnv_hash.h, src/graph.h, src/hash.c,
	src/hash.h, src/jenkins_hash.h, src/sdbm_hash.c, src/vstack.h,
	src/Makefile.am, src/bmz.h, src/cmph_structs.c, src/czech.h,
	src/main.c, src/sdbm_hash.h, src/vqueue.c, src/vqueue.h,
	src/vstack.c: Initial release.

2004-12-23 11:16  davi

	* INSTALL, COPYING, AUTHORS, ChangeLog, Makefile.am, NEWS, README,
	cmph.spec, configure.ac, src/graph.c, tests/Makefile.am,
	tests/graph_tests.c, src/bmz.c, src/cmph_types.h,
	src/czech_structs.h, src/hash_state.h, src/jenkins_hash.c,
	src/bmz_structs.h, src/cmph.c, src/cmph.h, src/cmph_structs.h,
	src/czech.c, src/debug.h, src/djb2_hash.c, src/djb2_hash.h,
	src/fnv_hash.c, src/fnv_hash.h, src/graph.h, src/hash.c,
	src/hash.h, src/jenkins_hash.h, src/sdbm_hash.c, src/vstack.h,
	src/Makefile.am, src/bmz.h, src/cmph_structs.c, src/czech.h,
	src/main.c, src/sdbm_hash.h, src/vqueue.c, src/vqueue.h,
	src/vstack.c: Initial revision

